> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Lend

> Use this API to send requests for loan disbursement to the beneficiary. The service charges are pooled for the respective party and disbursed at the end of day. Disbursement amount = (Amount - total service charges).

Please use this Authorization token in headers to call any payout API (Refresh this page if the token is expired)

<iframe src="https://www.cashfree.com/devstudio/preview/payouts/embed/bearerToken" width="600" />

<Accordion title="Click to view the response codes.">
  | Sub code | Status  | Message                                                                                                                       | Next action                                                                                                 |
  | :------- | :------ | :---------------------------------------------------------------------------------------------------------------------------- | :---------------------------------------------------------------------------------------------------------- |
  | 200      | SUCCESS | Transfer completed successfully                                                                                               | None                                                                                                        |
  | 201      | PENDING | Transfer request pending at the bank                                                                                          | None                                                                                                        |
  | 400      | ERROR   | beneId is missing in the request                                                                                              | Enter a beneId in the request                                                                               |
  | 400      | ERROR   | Total service charge is greater than disbursal amount                                                                         | Enter valid amount which is greater than sum of service charges                                             |
  | 400      | ERROR   | Insufficient balance in LENDER fundsource                                                                                     | Lender needs to recharges their CF wallet                                                                   |
  | 403      | ERROR   | APIs not enabled. Please fill out the [Support Form](https://merchant.cashfree.com/merchants/landing?env=prod\&raise_issue=1) | Please fill out the [Support Form](https://merchant.cashfree.com/merchants/landing?env=prod\&raise_issue=1) |
  | 422      | ERROR   | Please provide valid token details                                                                                            | Provide a valid token                                                                                       |
  | 422      | ERROR   | amount should be at least 1.0                                                                                                 | Enter a transfer amount that is equal to or more than Rs. 1.                                                |
  | 422      | ERROR   | Invalid bank account number or ifsc provided                                                                                  | Provide valid bank account details                                                                          |
</Accordion>


## OpenAPI

````yaml post /payout/v1/lend
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/lend:
    post:
      summary: Lend
      description: >-
        Use this API to send requests for loan disbursement to the beneficiary.
        The service charges are pooled for the respective party and disbursed at
        the end of day. Disbursement amount = (Amount - total service charges).
      operationId: lend1
      parameters:
        - name: Authorization
          in: header
          description: Bearer Auth Token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1_lend_body'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_17'
        '201':
          description: '201'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_201_1'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400_1'
              examples:
                Case1:
                  summary: Insufficient Balance
                  value:
                    status: ERROR
                    subCode: '400'
                    message: Insufficient balance in LENDER fundsource
                Case2:
                  summary: Service Charge Error
                  value:
                    status: ERROR
                    subCode: '400'
                    message: Total service charge is greater than disbursal amount
                Case3:
                  summary: Missing Beneficiary Details
                  value:
                    status: ERROR
                    subCode: '400'
                    message: beneId is missing in the request
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '422':
          description: '422'
          content:
            text/plain:
              examples:
                Failed transfer:
                  value:
                    status: ERROR
                    subCode: '422'
                    message: Invalid bank account number of ifsc provided
      deprecated: false
components:
  schemas:
    v1_lend_body:
      required:
        - amount
        - beneId
        - loanId
        - transferMode
      type: object
      properties:
        beneId:
          type: string
          description: >-
            It is the unique ID to identify the beneficiary. Only alphanumeric
            characters are allowed.
        loanId:
          type: string
          description: >-
            It is the unique ID to identify the loan. Only alphanumeric
            characters are allowed.
        amount:
          type: string
          description: It is the loan amount. It should be equal to or greater than 1.00.
        transferMode:
          type: string
          description: >-
            It is the mode of transfer. Allowed values are: banktransfer, neft,
            imps, rtgs, upi, paytm, and amazonpay. The default transferMode is
            banktransfer.
        serviceCharges:
          type: string
          description: >-
            It is the service charges that need to be disbursed to different
            parties.
          default: '[{"key":"", "value":""}]'
        beneDetails:
          $ref: '#/components/schemas/payoutv1lend_beneDetails'
    inline_response_200_17:
      oneOf:
        - title: Success transfer for beneId
          type: object
          properties:
            status:
              type: string
              example: SUCCESS
            subCode:
              type: string
              example: '200'
            message:
              type: string
              example: Transfer completed successfully
            data:
              $ref: '#/components/schemas/inline_response_200_17_data'
        - title: Success transfer for beneDetails bank account
          type: object
          properties:
            status:
              type: string
              example: SUCCESS
            subCode:
              type: string
              example: '200'
            message:
              type: string
              example: Transfer completed successfully
            data:
              $ref: '#/components/schemas/inline_response_200_17_data'
        - title: Sucess transfer for beneDetails VPA
          type: object
          properties:
            status:
              type: string
              example: SUCCESS
            subCode:
              type: string
              example: '200'
            message:
              type: string
              example: Transfer completed successfully
            data:
              $ref: '#/components/schemas/inline_response_200_17_data'
    inline_response_201_1:
      type: object
      properties:
        status:
          type: string
          example: PENDING
        subCode:
          type: string
          example: '201'
        message:
          type: string
          example: Transfer request pending at the bank
        data:
          $ref: '#/components/schemas/inline_response_201_1_data'
    inline_response_400_1:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '400'
        message:
          type: string
          example: Insufficient balance in LENDER fundsource
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    payoutv1lend_beneDetails:
      type: object
      properties:
        bankAccount:
          type: string
          description: >-
            It is the bank account of the beneficiary. It must be between 9-18
            alphanumeric characters. It is a required parameter in the case of
            banktransfer, imps, and neft.
        ifsc:
          type: string
          description: >-
            The IFSC information of the bank account of the dealer/distributor
            who raised the invoice for the customer to pay. It should be an
            alphanumeric value of 11 characters. The first 4 characters should
            be alphabets, the 5th character should be a 0, and the remaining 6
            characters should be numerals.
        name:
          type: string
          description: >-
            It is the name of the beneficiary. It should be a maximum of 100
            characters. Only alphabets and whitespaces (  ) are allowed.
        phone:
          type: string
          description: >-
            It is the phone number of the beneficiary. The phone number must be
            registered in India. Only numeric values are allowed. It should be
            between 8 and 12 characters excluding +91.
        email:
          type: string
          description: >-
            It is the email address of the beneficiary. A maximum of 200
            characters are allowed. The value should contain @ and period (.).
        vpa:
          type: string
          description: >-
            It is the virtual payment address of the beneficiary. A maximum of
            100 characters are allowed. Accepted values: alphanumeric, period
            (.), hyphen (-), at sign (@), underscore (_). Underscore (_) and
            period (.) are accepted before and after at sign (@). Hyphen (-) is
            accepted only before at sign (@).
        address1:
          type: string
          description: >-
            It is the address of the beneficiary. A maximum of 150 characters
            are allowed. Only alphanumeric values and whitespaces ( ) are
            allowed.
      description: It is the details of the beneficiary.
    inline_response_200_17_data:
      type: object
      properties:
        referenceId:
          type: string
          example: '54109311'
        utr:
          type: string
          example: '1681409852019854'
        acknowledged:
          type: integer
          example: 1
          default: 0
    inline_response_201_1_data:
      type: object
      properties:
        referenceId:
          type: string
          example: '54108317'
        utr:
          type: string
          example: ''
        acknowledged:
          type: integer
          example: 0
          default: 0

````